using System;
using System.IO;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.Design;

namespace sstchur.web.survey
{
	namespace designer
	{		
		public class WebSurveyDesigner : ControlDesigner
		{
			public HtmlTable table;
			
			public WebSurveyDesigner()
			{				
				table = new HtmlTable();
				table.Border = 0;
				table.CellSpacing = 0;
				table.Width = "30%";
				table.Attributes.Add("style", "border: dashed 1px #000000; background-color: #ffffcc; font-family: arial; font-size: 12px;");
			}
			
			// Render the design-time HTML				
			public override string GetDesignTimeHtml()
			{				
				HtmlTableRow row = new HtmlTableRow();
				row.VAlign = "top";
				row.Align = "center";
				
				HtmlTableCell cell = new HtmlTableCell();
				cell.InnerHtml = "<b>sstchur's WebSurvey Control</b>";				
				row.Cells.Add(cell);				
				table.Rows.Add(row);
				
				row = new HtmlTableRow();				
				cell = new HtmlTableCell();
				Label lbl = new Label();
				lbl.Text = "<b>What is your name?</b>";
				TextBox txtBox = new TextBox();
				txtBox.Columns = 30;
				
				cell.Controls.Add(new LiteralControl("<br>"));
				cell.Controls.Add(new LiteralControl("<p>"));
				cell.Controls.Add(lbl);
				cell.Controls.Add(new LiteralControl("<br>"));
				cell.Controls.Add(txtBox);
				cell.Controls.Add(new LiteralControl("<p>"));
				
				cell.Controls.Add(new LiteralControl("<p>"));
				RadioButtonList rbl = new RadioButtonList();
				rbl.Attributes.Add("style", "font-size: 12px;");
				rbl.Items.Add("Red");
				rbl.Items.Add("Blue");				
				rbl.Items.Add("Green");
				cell.Controls.Add(rbl);
				cell.Controls.Add(new LiteralControl("</p>"));
				
				Button btn = new Button();
				btn.Text = "Submit";
				
				cell.Controls.Add(new LiteralControl("<p>"));
				cell.Controls.Add(btn);
				cell.Controls.Add(new LiteralControl("</p>"));
				
				lbl = new Label();
				lbl.Text = "<p><b>Note:</b> <small>The above questions are only samples displayed at design-time. " +
									 "Actual questions will be generated at run-time based on the XML in your SurveyFile.</small></p>";

				cell.Controls.Add(lbl);									 
				
				row.Cells.Add(cell);
				table.Rows.Add(row);
				
				StringWriter sw = new StringWriter();
				HtmlTextWriter writer = new HtmlTextWriter(sw);
				table.RenderControl(writer);
				return writer.InnerWriter.ToString();				
			}
		}
	}
}
